import { BusyComponent } from '../../busy/busy';
import { BaseButtonComponent } from '../baseButton';
import { FormComponent } from '../../form/form';
export declare class ButtonSubmitComponent extends BaseButtonComponent {
    busySpinner: BusyComponent;
    private form;
    constructor(form: FormComponent);
    submit(): void;
}
